Fetch Top Comment
curl --request GET \
--url https://api.replyke.com/api/v6/:projectId/api/v7/entities/:entityId/top-commentimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/entities/:entityId/top-comment"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/entities/:entityId/top-comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Entity Endpoints
Fetch Top Comment
Get the highest-voted comment on an entity
GET
/
:projectId
/
api
/
v7
/
entities
/
:entityId
/
top-comment
Fetch Top Comment
Returns the single comment with the most upvotes for the given entity. Useful for previewing the best comment alongside an entity in a feed. When multiple comments are tied, the oldest is returned.
Returns
or
null if the entity has no comments.
Path Parameters
The UUID of the entity.
Response
Returns a Comment object, ornull if there are no comments.
null
{
"id": "uuid",
"content": "Great post!",
"upvotes": ["userId1", "userId2"],
...
}
⌘I

